    New plots will display a logarithmically-scaled X axis.

set_xlog(plottype='all')
plottype - optional

This setting only affects plots created after the call to

`set_xlog` .

Use a logarithmic scale for the X axis of 'data' plots:

>>> set_xlog('data') >>> plot('data', 'arf')

All plots use a logarithmic scale for the X axis.

>>> set_xlog() >>> plot_fit()

PARAMETERS

The parameter for this function is:

Parameter
Definition
plottype
The type of plot that is to use a log-scaled X axis. The options are the same as accepted by `plot` , together with the 'all' option (which is the default setting).

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023